Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface DASConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, NotificationBroadcaster, NotificationEmitter

public interface DASConfig
extends ConfigElement

Configuration for the <das-config> element. The name is confusing, this item actually lives inside an , which is in turn inside a

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`java.lang.String` | `getAdminSessionTimeoutInMinutes()`
`java.lang.String` | `getAutodeployDir()`
`boolean` | `getAutodeployEnabled()`
`boolean` | `getAutodeployJSPPrecompilationEnabled()`
`java.lang.String` | `getAutodeployPollingIntervalInSeconds()`
`boolean` | `getAutodeployVerifierEnabled()`
`java.lang.String` | `getDeployXMLValidation()` See `ValidationLevelValues`.
`boolean` | `getDynamicReloadEnabled()`
`java.lang.String` | `getDynamicReloadPollIntervalInSeconds()`
`void` | `setAdminSessionTimeoutInMinutes(java.lang.String value)`
`void` | `setAutodeployDir(java.lang.String value)`
`void` | `setAutodeployEnabled(boolean value)`
`void` | `setAutodeployJSPPrecompilationEnabled(boolean value)`
`void` | `setAutodeployPollingIntervalInSeconds(java.lang.String value)`
`void` | `setAutodeployVerifierEnabled(boolean value)`
`void` | `setDeployXMLValidation(java.lang.String value)` See `ValidationLevelValues`.
`void` | `setDynamicReloadEnabled(boolean value)`
`void` | `setDynamicReloadPollIntervalInSeconds(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getAdminSessionTimeoutInMinutes

    public java.lang.String getAdminSessionTimeoutInMinutes()

### setAdminSessionTimeoutInMinutes

    public void setAdminSessionTimeoutInMinutes(java.lang.String value)

### getAutodeployDir

    public java.lang.String getAutodeployDir()

### setAutodeployDir

    public void setAutodeployDir(java.lang.String value)

### getAutodeployEnabled

    public boolean getAutodeployEnabled()

### setAutodeployEnabled

    public void setAutodeployEnabled(boolean value)

### getAutodeployJSPPrecompilationEnabled

    public boolean getAutodeployJSPPrecompilationEnabled()

### setAutodeployJSPPrecompilationEnabled

    public void setAutodeployJSPPrecompilationEnabled(boolean value)

### getAutodeployPollingIntervalInSeconds

    public java.lang.String getAutodeployPollingIntervalInSeconds()

### setAutodeployPollingIntervalInSeconds

    public void setAutodeployPollingIntervalInSeconds(java.lang.String value)

### getAutodeployVerifierEnabled

    public boolean getAutodeployVerifierEnabled()

### setAutodeployVerifierEnabled

    public void setAutodeployVerifierEnabled(boolean value)

### getDeployXMLValidation

    public java.lang.String getDeployXMLValidation()

  See `ValidationLevelValues`.

### setDeployXMLValidation

    public void setDeployXMLValidation(java.lang.String value)

  See `ValidationLevelValues`.

### getDynamicReloadEnabled

    public boolean getDynamicReloadEnabled()

### setDynamicReloadEnabled

    public void setDynamicReloadEnabled(boolean value)

### getDynamicReloadPollIntervalInSeconds

    public java.lang.String getDynamicReloadPollIntervalInSeconds()

### setDynamicReloadPollIntervalInSeconds

    public void setDynamicReloadPollIntervalInSeconds(java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.